View Issue Details

IDProjectCategoryLast Update
0019878AI War 2[All Projects] GUIJun 11, 2019 9:42 pm
ReporterBadgerBadgerAssigned ToBadgerBadger 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.758 Release The Warden 
Fixed in VersionBETA 0.867 Smarter AI, Better Mark Spread, Player Economic Boom 
Summary0019878: draw_in_galaxy_map not honoured
DescriptionThe current list of things to draw in the Galaxy Map is really hacky. Also, the draw_in_galaxy_map XML is not honoured. This is just as a TODO reminder when overhauling the galaxy map screen
TagsNo tags attached.

Activities

x4000Bughunter

Sep 27, 2018 7:22 pm

administrator   ~0049568

In what way isn't it honored? Is something not showing up that should be?

BadgerBadger

Sep 28, 2018 11:18 am

manager   ~0049581

I don't remember, let me check

BadgerBadger

Sep 28, 2018 9:54 pm

manager   ~0049602

Seems to work. Maybe I'll figure out what I was confused about later.

BadgerBadger

Sep 28, 2018 10:07 pm

manager   ~0049604

I figured out what I was thinking of. Right now there is draw_in_galaxy_view and also the ShowsOnNormalDisplayMode tag. I have Eyes set to be draw_in_galaxy_view=true and they don't show in the galaxy. I give them the ShowsOnNormalDisplayMode tag and it then shows up.

I would kinda like Eyes to appear (very small) in the galaxy map, because they are so important to determining which planets to attack. Possibly the other NormalPlanetNastyPicks as well. For example, knowing where a Raid Engine is will be important, and I don't want to read the full sidebar each time.

BadgerBadger

Sep 29, 2018 12:40 am

manager   ~0049609

Note that I wound up using ShowsOnNormalDisplayMode for everything to make the galaxy map usable post-pivot. I think this needs to be revisited since there is only one view mode right now.

x4000Bughunter

Sep 29, 2018 11:22 am

administrator   ~0049614

Hmm, okay, I see what you mean. I don't see any reason why this shouldn't be showing up, so that's kind of concerning. It should be in the rollup for EntityRollupType.DrawsInGalaxyView, which means that so long as you have seen the planet once, it should come back properly.

BadgerBadger

Jun 11, 2019 9:42 pm

manager   ~0051910

Chris reworked a lot of this code. I'll open a new bug if I see any more problems in this area

Issue History

Date Modified Username Field Change
Jul 28, 2018 1:26 pm BadgerBadger New Issue
Jul 28, 2018 1:26 pm BadgerBadger Status new => assigned
Jul 28, 2018 1:26 pm BadgerBadger Assigned To => x4000Bughunter
Sep 5, 2018 9:12 pm x4000Bughunter Relationship added child of 0020150
Sep 27, 2018 7:22 pm x4000Bughunter Note Added: 0049568
Sep 28, 2018 11:18 am BadgerBadger Note Added: 0049581
Sep 28, 2018 9:01 pm x4000Bughunter Relationship deleted child of 0020150
Sep 28, 2018 9:54 pm BadgerBadger Status assigned => resolved
Sep 28, 2018 9:54 pm BadgerBadger Resolution open => fixed
Sep 28, 2018 9:54 pm BadgerBadger Fixed in Version => 0.776 A Legible Galaxy Map
Sep 28, 2018 9:54 pm BadgerBadger Note Added: 0049602
Sep 28, 2018 10:07 pm BadgerBadger Status resolved => assigned
Sep 28, 2018 10:07 pm BadgerBadger Note Added: 0049604
Sep 29, 2018 12:40 am BadgerBadger Note Added: 0049609
Sep 29, 2018 11:22 am x4000Bughunter Note Added: 0049614
Jun 11, 2019 9:42 pm BadgerBadger Assigned To x4000Bughunter => BadgerBadger
Jun 11, 2019 9:42 pm BadgerBadger Status assigned => resolved
Jun 11, 2019 9:42 pm BadgerBadger Fixed in Version 0.776 A Legible Galaxy Map => BETA 0.867 Smarter AI, Better Mark Spread, Player Economic Boom
Jun 11, 2019 9:42 pm BadgerBadger Note Added: 0051910